For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
      • GETGet a person by id
      • GETGet all enrolled persons in org
      • GETGet faces with a person
      • GETGet person IDs from a list of names or aliases
      • GETGet persons in an image
      • GETIdentify celebrities in an external image
      • PUTUpdate person aliases
Get Started
LogoLogo
API ReferenceCelebrity Detection

Get a person by id

GET
https://api.coactive.ai/api/v0/celebrity-detection/person/:person_id
GET
/api/v0/celebrity-detection/person/:person_id
$curl https://api.coactive.ai/api/v0/celebrity-detection/person/person_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "0d73b5d4-0f1b-11ed-861d-0242ac120002",
3 "name": "John Doe",
4 "aliases": [
5 "John Doe",
6 "John Doe Jr."
7 ],
8 "upload_ids": [
9 "0d73b5d4-0f1b-11ed-861d-0242ac120002",
10 "0d73b5d4-0f1b-11ed-861d-0242ac120003"
11 ],
12 "ingested_images": [
13 {
14 "coactive_image_id": "0d73b5d4-0f1b-11ed-861d-0242ac120002",
15 "dataset_id": "0d73b5d4-0f1b-11ed-861d-0242ac120003"
16 }
17 ],
18 "status": "active",
19 "created_user_id": "auth0|674fa0455c7cd29dd8e49ae3",
20 "created_dt": "2025-12-10T12:07:32.066180+00:00"
21}
Was this page helpful?
Previous

Get all enrolled persons in org

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

person_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
Person ID
namestring
Person name
aliaseslist of strings
Person aliases
upload_idslist of strings
Upload IDs of the person's images
ingested_imageslist of objects
Ingested images of the person
statusenum
Person status
Allowed values:
created_user_idstring
User ID who created the person
created_dtstringformat: "date-time"
Date and time the person was created

Errors

422
Unprocessable Entity Error